



//-----------------------
// create game stage
// ex
// ["stone", "stone", "branch", "branch", "stone"],
// ["stone", "stone", "branch", "branch", "stone"],
// ...
//-----------------------
function createGameStage(){
	
	var rtnGameStage = [];
	
	// loop game height
	for(var h=0; h<GAME_HEIGHT; h++){
		
		var line = [];
		
		// loop game width
		for(var w=0; w<GAME_WIDTH; w++){
			
			// pick random item
			var rnd_setup = DATA_SETUP[getIntRand(DATA_SETUP.length)];
			var rnd_id = rnd_setup[getIntRand(rnd_setup.length)];
			line.push(rnd_id);
		}
		
		rtnGameStage.push(line);
	}
	
	return rtnGameStage;
}

//------------------------------------
// get mixed
// ex
// "stone" + "stone" = ["sharp", 10, 0]
// "stone" + "sharp" = [""(nothing), 0, 0]
//------------------------------------
function getMixed(inId1, inId2){
	
	// id1 check
	for(var i=0; i<DATA_MIX.length; i++){
		if(DATA_MIX[i][0] == inId1){
			if(DATA_MIX[i][1] == inId2){
				return [DATA_MIX[i][2], DATA_MIX[i][3], DATA_MIX[i][4]];
			}
		}
	}
	
	// id2 check
	for(var i=0; i<DATA_MIX.length; i++){
		if(DATA_MIX[i][1] == inId1){
			if(DATA_MIX[i][0] == inId2){
				return [DATA_MIX[i][2], DATA_MIX[i][3], DATA_MIX[i][4]];
			}
		}
	}
	
	// nothing
	return ["", 0, 0];
}
