
//--------------
// icon class
//--------------
var IconClass = cc.Sprite.extend({

	// properties

	id:"",

	row:0,

	col:0,
	
	//-----------------
	// constructor
	//-----------------
	ctor:function(inId, inRow, inCol){
		
		// graphic
		this._super("res/img_" + inId + ".png");
		
		this.renew(inId, inRow, inCol);
		
		return true;
	},
	
	//---------
	// renew
	//---------
	renew:function(inId, inRow, inCol){
		
		// graphic
		this.setTexture("res/img_" + inId + ".png");
		
		// set properties
		this.id = inId;
		this.row = inRow;
		this.col = inCol;
		
		// set position
		this.y = - this.row * ICON_WIDTH + 500;
		this.x = this.col * ICON_WIDTH + 100;
	},
	
	//--------
	// update
	//--------
	update:function(dt){

		

	}
});

